%global _internal_version  7bee834

Name:           nemo
Summary:        File manager for Cinnamon
Version:        1.1.2
Release:        1%{?dist}
License:        GPLv2+ and LGPLv2+
Group:          User Interface/Desktops
URL:            https://github.com/linuxmint/nemo
# To generate source
# wget https://github.com/linuxmint/nemo/tarball/%%{_internal_version} -O nemo-%%{version}.git%%{_internal_version}.tar.gz
Source0:        http://leigh123linux.fedorapeople.org/pub/nemo/source/nemo-%{version}.tar.gz
Source1:        nemo.css
Source2:        gtk.css
Source3:        gtk-dark.css

Requires:       redhat-menus
Requires:       gvfs
Requires:       gnome-icon-theme
Requires:       gsettings-desktop-schemas


BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk-doc)
BuildRequires:  rarian-compat
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(gnome-desktop-3.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(exempi-2.0)
BuildRequires:  pkgconfig(libselinux)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(libnotify)

# needed for theme subpackage
BuildRequires:  gnome-themes-standard

# the main binary links against libnemo-extension.so
# don't depend on soname, rather on exact version
Requires:       nemo-extensions%{?_isa} = %{version}-%{release}

Patch0:         remove_open_terminal.patch


%description
Nemo is the file manager and graphical shell for the Cinnamon desktop
that makes it easy to manage your files and the rest of your system.
It allows to browse directories on local and remote filesystems, preview
files and launch applications associated with them.
It is also responsible for handling the icons on the Cinnamon desktop.

%package extensions
Summary: Nemo extensions library
License: LGPLv2+
Group: Development/Libraries
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description extensions
This package provides the libraries used by nemo extensions.

%package devel
Summary: Support for developing nemo extensions
License: LGPLv2+
Group: Development/Libraries
Requires:   %{name}%{?_isa} = %{version}-%{release}


%description devel
This package provides libraries and header files needed
for developing nemo extensions.

%package -n adwaita-nemo
Summary: Nemo theme fix for Adwaita
Group: User Interface/Desktops
Buildarch: noarch
Requires:  gnome-themes-standard

%description -n adwaita-nemo
Nemo theme fix for Adwaita

%prep
%setup -q -n linuxmint-%{name}-%{_internal_version}
%patch0 -p1
NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-more-warnings \
           --disable-update-mimedb \
           --disable-schemas-compile
           

sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool

make %{?_smp_mflags} V=1

%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

# create extensions directoy
mkdir -p $RPM_BUILD_ROOT%{_libdir}/nemo/extensions-3.0/

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/nemo/extensions-3.0/*.la
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/.icon-theme.cache

# theme
mkdir -p $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/gtk-3.0/apps
install -D -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/gtk-3.0/apps/
install -D -p -m 0644 %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/gtk-3.0/
ln -s %{_datadir}/themes/Adwaita/backgrounds $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/
ln -s %{_datadir}/themes/Adwaita/gtk-2.0 $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/
ln -s %{_datadir}/themes/Adwaita/gtk-3.0/{gtk.gresource,settings.ini} $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/gtk-3.0/
ln -s %{_datadir}/themes/Adwaita/metacity-1 $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/
ln -s %{_datadir}/themes/Adwaita/index.theme $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/index.theme

%find_lang %name

%post
/sbin/ldconfig
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
/sbin/ldconfig
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ]; then
  /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%post extensions -p /sbin/ldconfig

%postun extensions -p /sbin/ldconfig

%files  -f %{name}.lang
%doc AUTHORS COPYING COPYING-DOCS COPYING.LIB NEWS README
%{_datadir}/nemo/
%{_datadir}/applications/*
%{_datadir}/mime/packages/nemo.xml
%{_bindir}/*
%{_datadir}/icons/hicolor/*/apps/nemo.png
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_datadir}/dbus-1/services/org.Nemo.service
%{_mandir}/man1/nemo-connect-server.1.*
%{_mandir}/man1/nemo.1.*
%{_libexecdir}/nemo-convert-metadata/
%{_datadir}/GConf/gsettings/nemo.convert
%{_datadir}/glib-2.0/schemas/org.nemo.gschema.xml
%dir %{_libdir}/nemo/extensions-3.0/
%{_sysconfdir}/xdg/autostart/nemo-autostart.desktop
%{_datadir}/dbus-1/services/org.freedesktop.NemoFileManager1.service

%files extensions
%{_libdir}/libnemo-extension.so.*
%{_libdir}/girepository-1.0/*.typelib
%dir %{_libdir}/nemo

%files -n adwaita-nemo
%{_datadir}/themes/Adwaita-Nemo/

%files devel
%{_includedir}/nemo/
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_datadir}/gir-1.0/*.gir

%changelog
* Wed Nov 14 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.1.2-1
- update to 1.1.2 release
- add scriptlets for mimetype key

* Sat Nov 03 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.9-1
- update to 1.0.9 release

* Sun Oct 28 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.7-1
- update to 1.0.7 release
- change build requires style
- use autogen to prepare source
- make directory for extensions

* Sun Oct 21 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.5-2
- drop requires gksu-pokit

* Sat Oct 20 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.5-1
- update to 1.0.5 release
- revert last commit

* Thu Oct 18 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.3-3
- patch open as root and add requires gksu-pokit

* Mon Oct 08 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.3-2
- remove requires gnome-terminal
- patch to remove "open in terminal"

* Mon Oct 01 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.3-1
- update to 1.0.3 release

* Thu Sep 27 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.2-1
- update to 1.0.2 release
- add requires gnome-terminal

* Tue Sep 25 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.1-5
- add theme sub-package

* Tue Sep 25 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.1-4
- remove "open as root" option
- fix "open terminal" option

* Tue Sep 25 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.1-3
- validate desktop file

* Tue Sep 25 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.1-2
- add ldconfig to extensions
- fix comment in macro
- fix macro-in-comment
- remove obsolete provides/obsoletes
- fix licence tag

* Fri Sep 21 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.1-1
- initial build based on nautilus spec file

